 ext2/file.c    |    1 +
 ext2/namei.c   |    2 ++
 ext2/symlink.c |    2 ++
 3 files changed, 5 insertions(+)

diff -puN fs/ext2/file.c~ext2-update_atime_speedup fs/ext2/file.c
--- 25/fs/ext2/file.c~ext2-update_atime_speedup	2003-02-22 00:26:50.000000000 -0800
+++ 25-akpm/fs/ext2/file.c	2003-02-22 00:27:39.000000000 -0800
@@ -63,4 +63,5 @@ struct inode_operations ext2_file_inode_
 	.removexattr	= ext2_removexattr,
 	.setattr	= ext2_setattr,
 	.permission	= ext2_permission,
+	.update_atime	= one_sec_update_atime,
 };
diff -puN fs/ext2/namei.c~ext2-update_atime_speedup fs/ext2/namei.c
--- 25/fs/ext2/namei.c~ext2-update_atime_speedup	2003-02-22 00:26:59.000000000 -0800
+++ 25-akpm/fs/ext2/namei.c	2003-02-22 00:27:51.000000000 -0800
@@ -388,6 +388,7 @@ struct inode_operations ext2_dir_inode_o
 	.removexattr	= ext2_removexattr,
 	.setattr	= ext2_setattr,
 	.permission	= ext2_permission,
+	.update_atime	= one_sec_update_atime,
 };
 
 struct inode_operations ext2_special_inode_operations = {
@@ -397,4 +398,5 @@ struct inode_operations ext2_special_ino
 	.removexattr	= ext2_removexattr,
 	.setattr	= ext2_setattr,
 	.permission	= ext2_permission,
+	.update_atime	= one_sec_update_atime,
 };
diff -puN fs/ext2/symlink.c~ext2-update_atime_speedup fs/ext2/symlink.c
--- 25/fs/ext2/symlink.c~ext2-update_atime_speedup	2003-02-22 00:27:11.000000000 -0800
+++ 25-akpm/fs/ext2/symlink.c	2003-02-22 00:27:58.000000000 -0800
@@ -39,6 +39,7 @@ struct inode_operations ext2_symlink_ino
 	.getxattr	= ext2_getxattr,
 	.listxattr	= ext2_listxattr,
 	.removexattr	= ext2_removexattr,
+	.update_atime	= one_sec_update_atime,
 };
  
 struct inode_operations ext2_fast_symlink_inode_operations = {
@@ -48,4 +49,5 @@ struct inode_operations ext2_fast_symlin
 	.getxattr	= ext2_getxattr,
 	.listxattr	= ext2_listxattr,
 	.removexattr	= ext2_removexattr,
+	.update_atime	= one_sec_update_atime,
 };

_
